Detalhes de uma oferta
curl --request GET \
--url https://api.liquiditi.com.br/v1/asks/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.liquiditi.com.br/v1/asks/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.liquiditi.com.br/v1/asks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ask_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ask_price": "<string>",
"ask_prefixed_yield": "<string>",
"ask_percentage_yield": "<string>",
"available_quantity": 123,
"liquidation_date": "2023-12-25",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "CDB",
"name": "<string>",
"cetip_code": "<string>",
"maturity_date": "2023-12-25",
"grace_date": "2023-12-25",
"asset_indexer": "<string>",
"interest_redemption_type": "<string>",
"redemption_type": "<string>",
"issuer": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Renda Fixa
Detalhes de uma oferta
Retorna os detalhes completos de uma oferta específica do livro de ofertas.
GET
/
asks
/
{id}
Detalhes de uma oferta
Retorna uma oferta pelo
id no esquema Ask. Campos e descrições consolidados: Renda Fixa — Informações disponíveis.Authorizations
Chave de API gerada no painel da Liquiditi
Path Parameters
Identificador único da oferta
Response
Detalhes da oferta retornados com sucesso
Identificador único da oferta
Preço unitário da oferta (decimal como string)
Rentabilidade prefixada (decimal como string)
Rentabilidade percentual do indexador (decimal como string)
Quantidade disponível para negociação
Data prevista de liquidação da oferta
Data e hora de expiração da oferta
Data e hora de criação da oferta
Show child attributes
Show child attributes